
# Class: ProductInformationMockup

## Hierarchy

* **ProductInformationMockup**

## Index

### Constructors

* [constructor](productinformationmockup.md#constructor)

### Properties

* [mockupId](productinformationmockup.md#optional-mockupid)
* [mockupName](productinformationmockup.md#optional-mockupname)
* [mockupType](productinformationmockup.md#optional-mockuptype)
* [options](productinformationmockup.md#optional-options)
* [productId](productinformationmockup.md#optional-productid)
* [productVariantId](productinformationmockup.md#optional-productvariantid)
* [productVersionId](productinformationmockup.md#optional-productversionid)
* [sku](productinformationmockup.md#optional-sku)
* [surfaceIndex](productinformationmockup.md#optional-surfaceindex)
* [surfaceUsageType](productinformationmockup.md#optional-surfaceusagetype)
* [tenantId](productinformationmockup.md#optional-tenantid)

## Constructors

###  constructor

\+ **new ProductInformationMockup**(`dtoMockup?`: ProductVariantMockupDto): *[ProductInformationMockup](productinformationmockup.md)*

**Parameters:**

Name | Type |
------ | ------ |
`dtoMockup?` | ProductVariantMockupDto |

**Returns:** *[ProductInformationMockup](productinformationmockup.md)*

## Properties

### `Optional` mockupId

• **mockupId**? : *string | null*

Mockup identifier.

___

### `Optional` mockupName

• **mockupName**? : *string | null*

Mockup name.

___

### `Optional` mockupType

• **mockupType**? : *ProductVariantMockupType*

___

### `Optional` options

• **options**? : *ProductVariantOptionDto[] | null*

A list of product variant options.

___

### `Optional` productId

• **productId**? : *number*

Product identifier.

___

### `Optional` productVariantId

• **productVariantId**? : *number*

Product variant identifier.

___

### `Optional` productVersionId

• **productVersionId**? : *number*

Product version identifier.

___

### `Optional` sku

• **sku**? : *string | null*

Product variant identifier in online store (usually SKU).

___

### `Optional` surfaceIndex

• **surfaceIndex**? : *number | null*

Surface index indicates a surface of a design to which mockup should be applied.

___

### `Optional` surfaceUsageType

• **surfaceUsageType**? : *SurfaceUsageType*

___

### `Optional` tenantId

• **tenantId**? : *number | null*

Tenant identifier.
